## osslsigncode 1.7.1

=== debian/changelog ===
osslsigncode (1.7.1-1) unstable; urgency=low

  * Initial release. Closes: #796916.

 -- Stephen Kitt <skitt@debian.org>  Tue, 25 Aug 2015 21:59:09 +0200
