=== debian/control ===
Source: osslsigncode
Section: otherosfs
Priority: optional
Maintainer: Stephen Kitt <skitt@debian.org>
Build-Depends:
 debhelper (>=9),
 dh-autoreconf,
 libcurl4-openssl-dev,
 libgsf-1-dev,
 libssl-dev,
Standards-Version: 3.9.6
Homepage: https://sourceforge.net/projects/osslsigncode/
Vcs-Git: git://anonscm.debian.org/collab-maint/osslsigncode.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/osslsigncode.git;a=summary

Package: osslsigncode
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Authenticode signing tool
 osslsigncode is an Authenticode signing tool for PE binaries
 (Windows executables, DLLs, drivers...), CAB archives and MSI
 installation packages. It also supports timestamping using
 Authenticode and RFC-3161.
