## osslsigncode 2.0

=== debian/changelog ===
osslsigncode (2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Stephen Kitt ]
  * New upstream release.
  * Switch to Michał Trojnara’s fork.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.2.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 06 Dec 2018 09:46:12 +0100

osslsigncode (1.7.1-3) unstable; urgency=medium

  * Actually fix debian/watch.
  * Build-depend on libcurl4-gnutls-dev to avoid build errors once
    libcurl4-openssl-dev switches to OpenSSL 1.1; thanks to Steve Langasek
    for the investigation and fix! Closes: #891781.
  * Switch to debhelper compatibility level 11.
  * Update debian/copyright.
  * Standards-Version 4.1.3, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 02 Mar 2018 21:21:48 +0100

osslsigncode (1.7.1-2) unstable; urgency=medium

  * Switch to https: VCS URIs (see #810378).
  * Build-depend on libssl1.0-dev, converting to OpenSSL 1.1 is going to
    involve a lot of work... Closes: #828483.
  * Switch to debhelper compatibility level 10.
  * Clean up debian/control using cme.
  * Standards-Version 3.9.8, no change required.
  * Clean up debian/rules and debian/copyright.
  * Fix debian/watch.
  * Enable all hardening options.

 -- Stephen Kitt <skitt@debian.org>  Sat, 05 Nov 2016 17:02:20 +0100
