## osslsigncode 2.0+really2.5

=== debian/changelog ===
osslsigncode (2.0+really2.5-4+deb10u1) buster-security; urgency=medium

  * Backport Debian version 2.5-4 to buster:
    - Fixes CVE-2023-36377, A Buffer Overflow vulnerability (Closes: #1035875)
  * To make it compile and minimize changes in buster:
    - Revert debhelper compat level to 12
    - Add patch to reduce required CMake version to the buster's version.
    - This requires to fix the CTest "remove_files", which acutally cleans up
      after build.
    - Revert swtich to the OpenSSL variant of libcurl.

 -- Tobias Frost <tobi@debian.org>  Fri, 22 Dec 2023 19:49:06 +0100

osslsigncode (2.5-4) unstable; urgency=medium

  * Import upstream fixes for big-endian systems. Closes: #993452.
  * Import upstream fixes for pkcs12 signing. Closes: #1024434.

 -- Stephen Kitt <skitt@debian.org>  Sun, 22 Jan 2023 23:15:10 +0100

osslsigncode (2.5-3) unstable; urgency=medium

  * Switch to the OpenSSL variant of libcurl; since osslsigncode as an
    OpenSSL exception, this is fine and reduces the overall dependency
    tree.

 -- Stephen Kitt <skitt@debian.org>  Sat, 19 Nov 2022 16:15:26 +0100

osslsigncode (2.5-2) unstable; urgency=medium

  * Re-run failed tests verbosely on failure.

 -- Stephen Kitt <skitt@debian.org>  Wed, 31 Aug 2022 20:41:48 +0200

osslsigncode (2.5-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 14 Aug 2022 14:56:39 +0200

osslsigncode (2.4-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.6.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 12 Aug 2022 15:33:33 +0200

osslsigncode (2.3.0-1) unstable; urgency=medium

  * Rework debian/watch to download release tarballs and verify their
    signature.
  * New upstream release.
  * The test suite available in the upstream repository is not yet
    intended for general consumption and is not part of the release
    tarballs, so debian/rules no longer tries to run them.
    Closes: #993451, #993452.

 -- Stephen Kitt <skitt@debian.org>  Wed, 09 Mar 2022 16:27:11 +0100

osslsigncode (2.2-1) unstable; urgency=medium

  * New upstream release.
  * Run the provided test suite during the build.
  * Standards-Version 4.6.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 01 Sep 2021 16:18:02 +0200

osslsigncode (2.1-1) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Stephen Kitt ]
  * New upstream release.
  * Switch to debhelper compatibility level 13.
  * Standards-Version 4.5.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 15 Oct 2020 09:08:44 +0200
