=== debian/control ===
--- 
+++ 
@@ -2,11 +2,15 @@
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: otherosfs
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
+               cmake,
                libcurl4-gnutls-dev,
                libgsf-1-dev,
-               libssl-dev
-Standards-Version: 4.2.1
+               libssl-dev,
+# Test dependencies
+               faketime,
+               openssl,
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/osslsigncode
 Vcs-Git: https://salsa.debian.org/debian/osslsigncode.git
 Homepage: https://github.com/mtrojnar/osslsigncode
