## osslsigncode 2.1

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,11 @@
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: otherosfs
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               cmake,
+Build-Depends: debhelper-compat (= 13),
                libcurl4-gnutls-dev,
                libgsf-1-dev,
-               libssl-dev,
-# Test dependencies
-               faketime,
-               openssl,
-Standards-Version: 4.6.1
+               libssl-dev
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/osslsigncode
 Vcs-Git: https://salsa.debian.org/debian/osslsigncode.git
 Homepage: https://github.com/mtrojnar/osslsigncode
