=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%osslsigncode-$1.tar.gz%" \
    https://github.com/mtrojnar/osslsigncode/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
