## osslsigncode 2.2

=== debian/changelog ===
osslsigncode (2.2-1ubuntu1) jammy; urgency=medium

  * Cherry-pick fix from Debian to disable running test suite at build time,
    which fails in Launchpad (but not locally).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 10 Mar 2022 08:16:37 -0800
