=== debian/control ===
--- 
+++ 
@@ -1,12 +1,20 @@
 Source: osslsigncode
-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
 Section: otherosfs
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libcurl4-gnutls-dev,
-               libgsf-1-dev,
-               libssl-dev
-Standards-Version: 4.5.0
+               libssl-dev,
+               pkg-config,
+# Test dependencies
+               faketime,
+               gcab,
+               gcc-mingw-w64-x86-64-win32,
+               openssl,
+               wixl,
+               xxd,
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian/osslsigncode
 Vcs-Git: https://salsa.debian.org/debian/osslsigncode.git
 Homepage: https://github.com/mtrojnar/osslsigncode
