## osslsigncode 2.5

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,13 @@
 Section: otherosfs
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               libcurl4-gnutls-dev,
+               cmake,
+               libcurl4-openssl-dev,
                libssl-dev,
-               pkg-config,
 # Test dependencies
                faketime,
-               gcab,
-               gcc-mingw-w64-x86-64-win32,
                openssl,
-               wixl,
-               xxd,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/osslsigncode
 Vcs-Git: https://salsa.debian.org/debian/osslsigncode.git
 Homepage: https://github.com/mtrojnar/osslsigncode
