=== debian/watch ===
version=4
opts="pgpmode=auto" \
    https://github.com/mtrojnar/osslsigncode/releases \
    (?:.*?/)?@PACKAGE@-(\d[\d.]*)\.tar\.gz debian uupdate
