## osslsigncode 2.5-4~deb11u1+really2.9

=== debian/changelog ===
osslsigncode (2.5-4~deb11u1+really2.9-1+deb11u2) bullseye-security; urgency=medium

  * Non-maintainer upload by the Debian LTS team.
  * Rebuild v2.9 for bullseye to fix 1076785.

 -- Abhijith PA <abhijith@debian.org>  Fri, 23 Jan 2026 12:06:08 +0530

osslsigncode (2.9-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports. Closes: #1076785.

 -- Stephen Kitt <skitt@debian.org>  Thu, 01 Aug 2024 14:46:40 +0200

osslsigncode (2.9-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.7.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 19 Jul 2024 20:10:26 +0200

osslsigncode (2.8-2) unstable; urgency=medium

  * Always show verbose test output (for comparison purposes).

 -- Stephen Kitt <skitt@debian.org>  Thu, 28 Mar 2024 07:59:00 +0100

osslsigncode (2.8-1) unstable; urgency=medium

  * New upstream release.
  * Track GitHub tags, upstream no longer ships separate source
    tarballs.
  * Standards-Version 4.6.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 04 Mar 2024 07:48:12 +0100
