=== debian/control ===
--- 
+++ 
@@ -6,10 +6,12 @@
                cmake,
                libcurl4-openssl-dev,
                libssl-dev,
+               zlib1g-dev,
 # Test dependencies
                faketime,
                openssl,
-Standards-Version: 4.6.1
+               python3,
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/osslsigncode
 Vcs-Git: https://salsa.debian.org/debian/osslsigncode.git
 Homepage: https://github.com/mtrojnar/osslsigncode
