## osslsigncode 2.9

=== debian/changelog ===
osslsigncode (2.9-2) unstable; urgency=medium

  * Add upstream patch to support python3-cryptography 43. Closes:
    #1082691.

 -- Stephen Kitt <skitt@debian.org>  Sun, 13 Oct 2024 18:10:28 +0200
