=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                libssl-dev,
                zlib1g-dev,
 # Test dependencies
-               faketime,
                openssl,
                python3,
-Standards-Version: 4.6.2
+               python3-cryptography,
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/osslsigncode
 Vcs-Git: https://salsa.debian.org/debian/osslsigncode.git
 Homepage: https://github.com/mtrojnar/osslsigncode
