=== misc/softhsm-example-token/Makefile ===
all: clean token

clean:
	@rm -f softhsm.* test.* openssl.conf config.py

token:
	./gen-token.sh
