=== debian/changelog ===
osslsigncode (2.10-1) unstable; urgency=medium

  * New upstream release, merging python-cryptography-43.patch.
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 04 Sep 2025 13:31:57 +0200
