=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                openssl,
                python3,
                python3-cryptography,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/osslsigncode
 Vcs-Git: https://salsa.debian.org/debian/osslsigncode.git
 Homepage: https://github.com/mtrojnar/osslsigncode
