=== debian/watch ===
Version: 5

Template: Github
Owner: mtrojnar
Project: osslsigncode
