=== debian/changelog ===
osslsigncode (2.12-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 08 Feb 2026 17:34:18 +0100
