=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: osslsigncode
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: otherosfs
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libcurl4-openssl-dev,
@@ -11,11 +10,10 @@
                openssl,
                python3,
                python3-cryptography,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian/osslsigncode
 Vcs-Git: https://salsa.debian.org/debian/osslsigncode.git
 Homepage: https://github.com/mtrojnar/osslsigncode
-Rules-Requires-Root: no
 
 Package: osslsigncode
 Architecture: any
