## osslsigncode 2.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 # configure basic project information
 project(osslsigncode
-    VERSION 2.12
+    VERSION 2.13
     DESCRIPTION "OpenSSL based Authenticode signing for PE, CAB, CAT, MSI, APPX and script files"
     HOMEPAGE_URL "https://github.com/mtrojnar/osslsigncode"
     LANGUAGES C)
