=== debian/changelog ===
osslsigncode (2.13-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 12 Feb 2026 22:38:59 +0100
